Remove centos-versions.yaml and ubuntu-versions.yaml

Bug #1485599 reported by Vladimir Kozhukalov on 2015-08-17
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Fuel for OpenStack
High
Vladimir Kozhukalov
7.0.x
Undecided
Unassigned

Bug Description

We don't need centos-versions.yaml and ubuntu-versions.yaml files any more. Those files were only actual during 5.0 release. Removing them is necessary for getting rid of upgrade tarball.

Fix proposed to branch: master
Review: https://review.openstack.org/213700

Changed in fuel:
status: Triaged → In Progress

Change abandoned by Vladimir Kozhukalov (<email address hidden>) on branch: master
Review: https://review.openstack.org/213700
Reason: This change is going to be ported to 'future' branch

Reviewed: https://review.openstack.org/214333
Committed: https://git.openstack.org/cgit/stackforge/fuel-main/commit/?id=65f0df01ca15d00873c55199aec84c0634e0b6ef
Submitter: Jenkins
Branch: future

commit 65f0df01ca15d00873c55199aec84c0634e0b6ef
Author: Vladimir Kozhukalov <email address hidden>
Date: Mon Aug 17 16:02:46 2015 +0300

    Remove centos-versions.yaml ubuntu-versions.yaml

    We don't need these files any more. The only release
    when we used them for patching was 5.0.

    Change-Id: Ifec5a554460e8a17985cd1a636aecf23f7c8525f
    Closes-Bug: #1485599

tags: added: in-future

Reviewed: https://review.openstack.org/214513
Committed: https://git.openstack.org/cgit/stackforge/fuel-qa/commit/?id=8cb6d5a9edd2a6e5bdd2833925e604b7da31f6a9
Submitter: Jenkins
Branch: master

commit 8cb6d5a9edd2a6e5bdd2833925e604b7da31f6a9
Author: Artem Panchenko <email address hidden>
Date: Wed Aug 19 11:34:05 2015 +0300

    Remove usage of {centos,ubuntu}-versions.yaml file

    Since old patching tests are removed already, the files
    with packages versions aren't used by tests anymore. So
    there is no need to update them after repositories
    regeneration.
    Also this patch should be merged to tests before the
    following change is landed to master branch:

    https://review.openstack.org/#/c/214333/

    Otherwise repos regeneration will fail in tests.

    Change-Id: I752b377558cbe3a2a4cdf6eaae42f6ab8c8c91d5
    Related-bug: #1485599

Reviewed: https://review.openstack.org/213700
Committed: https://git.openstack.org/cgit/stackforge/fuel-main/commit/?id=5e5588daf4e9b5dd4457c7088eda37358407d12f
Submitter: Jenkins
Branch: master

commit 5e5588daf4e9b5dd4457c7088eda37358407d12f
Author: Vladimir Kozhukalov <email address hidden>
Date: Mon Aug 17 16:02:46 2015 +0300

    Remove centos-versions.yaml ubuntu-versions.yaml

    We don't need these files any more. The only release
    when we used them for patching was 5.0.

    Change-Id: Ifec5a554460e8a17985cd1a636aecf23f7c8525f
    Closes-Bug: #1485599

Changed in fuel:
status: In Progress → Fix Committed
Dmitry Pyzhov (dpyzhov) on 2015-10-06
tags: added: tech-debt
Veronica Krayneva (vkrayneva) wrote :

Checked on

VERSION:
  feature_groups:
    - mirantis
  production: "docker"
  release: "8.0"
  openstack_version: "2015.1.0-8.0"
  api: "1.0"
  build_number: "108"
  build_id: "108"
  fuel-nailgun_sha: "ec56b54491ecb0182f66e675f549825abc1a96ee"
  python-fuelclient_sha: "286939d3be220828f52e73b65928ed39662e1853"
  fuel-agent_sha: "e881f0dabd09af4be4f3e22768b02fe76278e20e"
  fuel-nailgun-agent_sha: "d66f188a1832a9c23b04884a14ef00fc5605ec6d"
  astute_sha: "0f753467a3f16e4d46e7e9f1979905fb178e4d5b"
  fuel-library_sha: "acfcfd289ca454585687b6ff9651b53e4ffaf0cd"
  fuel-ostf_sha: "37c5d6113408a29cabe0f416fe99cf20e2bca318"
  fuelmain_sha: "8e5e75302b2534fd38e4b41b795957111ac75543"
[root@nailgun ~]#

Centos-versions.yaml and ubuntu-version.yaml were removed.

[root@nailgun ~]# ls /etc/puppet/2015.1.0-8.0/manifests/
[root@nailgun ~]#

Changed in fuel:
status: Fix Committed → Fix Released
Dmitry Pyzhov (dpyzhov) on 2015-10-21
tags: added: area-build
tags: removed: in-future
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers